Bug 1266187 - [Doc] [Storage] Create dell-storagecenter-back-end-guide
[Doc] [Storage] Create dell-storagecenter-back-end-guide
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All Linux
high Severity medium
: z3
: 7.0 (Kilo)
Assigned To: Don Domingo
Martin Lopes
: Documentation, ZStream
Depends On:
Blocks: 1163445 1277361
  Show dependency treegraph
Reported: 2015-09-24 13:49 EDT by Rajini Karthik
Modified: 2015-11-24 21:29 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1183819
Last Closed: 2015-11-24 21:29:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Dell Storage Center Doc (36.75 KB, application/zip)
2015-09-24 13:49 EDT, Rajini Karthik
no flags Details
1st Draft of RH version (122.42 KB, application/pdf)
2015-10-05 21:35 EDT, Don Domingo
no flags Details
1st Draft of RH version (122.43 KB, application/pdf)
2015-10-05 21:54 EDT, Don Domingo
no flags Details
2nd draft of RH version (122.13 KB, application/pdf)
2015-10-06 22:17 EDT, Don Domingo
no flags Details
Dell SC section in Configuration Reference (71.75 KB, application/pdf)
2015-10-13 00:43 EDT, Don Domingo
no flags Details

  None (edit)
Description Rajini Karthik 2015-09-24 13:49:08 EDT
Created attachment 1076650 [details]
Dell Storage Center Doc

Description of problem:
Create dell-storagecenter-back-end-guide similar to 

See attachment

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Rajini Karthik 2015-09-24 13:50:08 EDT
See the attachment for the doc
Comment 2 Andrew Dahms 2015-09-24 22:51:27 EDT
Hi Rajini,

Thank you for raising this bug.

Don - could you take a look at the attachment and work this into a guide similar to the Dell EqualLogic Back End Guide?

Kind regards,

Comment 3 Don Domingo 2015-09-29 20:26:53 EDT
Hi Rajini,

Thanks for the submission. I looked over the document you attached and from what I can see this is something we can integrate into the existing Dell EqualLogic guide:


By that I mean we'll turn that guide into a "Dell Back End Guide" that documents both EqualLogic and StorageCenter. And in the future, if you guys want to document other supported Dell products we can just add it there. Sound good?
Comment 4 arkady kanevsky 2015-09-29 21:11:11 EDT
Dell Storage center is different storage from EQL one.
Dell Storage Center supports Compellent that has a different cinder driver from EQL and different storage product family.
Comment 5 Rajini Karthik 2015-09-30 11:33:37 EDT
They are two different storage products with their own cinder driver. We prefer to have separate guides
Comment 6 Don Domingo 2015-10-05 21:35 EDT
Created attachment 1080115 [details]
1st Draft of RH version

Hi Rajini, attached is a first draft. I made some minor changes, and also noticed that your original document doesn't include any information about having to troubleshoot size discrepancies with the back-end. Was that only applicable to EqualLogic?
Comment 7 Don Domingo 2015-10-05 21:54 EDT
Created attachment 1080130 [details]
1st Draft of RH version
Comment 8 Rajini Karthik 2015-10-06 10:43:42 EDT
Yes, the backend discrepancies is only applicable to Equallogic.
Comment 9 Don Domingo 2015-10-06 22:17 EDT
Created attachment 1080496 [details]
2nd draft of RH version

* minor tweaks to feedback on intro
* used full product name in abstract
* moved up cinder restart step (before volume type creation) for both single and multi back ends
* removed step to enable thin provisioning for SAN volumes
Comment 10 Don Domingo 2015-10-07 23:15:53 EDT
Final build approved. Document should be published in the customer portal at the following link alongside once A2 is out the door later today:

Comment 11 Andrew Dahms 2015-10-08 19:53:04 EDT
Assigning Martin as the QA contact.

Martin - could you take a look at the content above?
Comment 13 Don Domingo 2015-10-11 20:08:42 EDT
Hi Rajini, I've processed the changes you requested in your previous email. In addition, I also added a section on Storage Center driver info in the Configuration Reference here:


I also added a link to that from the Dell Storage Center article we just released. Please advise if you have any further requests.
Comment 15 Rajini Karthik 2015-10-12 11:39:07 EDT
Two main problems

1. We only support ISCSI for Dell storage Center for the OSp7 solution althought fibre channel is supported by Openstack driver. But the link has Fibre Channel mentioned
2. Table 2.3. Description of Dell Storage Center volume driver configuration options - This table is missing the required confirguation and only the Optional configurations are listed
Comment 16 Don Domingo 2015-10-13 00:43 EDT
Created attachment 1082239 [details]
Dell SC section in Configuration Reference
Comment 17 Don Domingo 2015-10-13 00:45:58 EDT
(In reply to Don Domingo from comment #16)
> Created attachment 1082239 [details]
> Dell SC section in Configuration Reference

Hi Rajini,

I've removed the FC sections and described each required and optional section, although I only left the options specific to Dell SC in the table. I've attached a draft of the section here (I only included that section as a PDF of the entire Configuration Reference would be quite large).

Let me know if any other changes are in order. If not, then we'll go publish the changes.
Comment 18 Rajini Karthik 2015-10-13 10:40:44 EDT
Looks good. Thank you for all the corrections. Please go head and publish
Comment 19 Don Domingo 2015-10-15 22:28:20 EDT
Changes have now been published to the portal.
Comment 20 Andrew Dahms 2015-11-24 21:29:42 EST
This content is now live on the Customer Portal.


Note You need to log in before you can comment on or make changes to this bug.